# TdApi.PollTypeQuiz (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: PollTypeQuiz

Package it.tdlight.jni

# Class TdApi.PollTypeQuiz

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PollType
it.tdlight.jni.TdApi.PollTypeQuiz

Enclosing class:
  TdApi

    public static class TdApi.PollTypeQuiz
    extends TdApi.PollType

A poll in quiz mode, which has exactly one correct answer option and can be answered only once.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`int` | `correctOptionId` | 0-based identifier of the correct answer option; -1 for a yet unanswered poll.
`TdApi.FormattedText` | `explanation` | Text that is shown when the user chooses an incorrect answer or taps on the lamp icon; 0-200 characters with at most 2 line feeds; empty for a yet unanswered poll.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`PollTypeQuiz()` | A poll in quiz mode, which has exactly one correct answer option and can be answered only once.
`PollTypeQuiz​(int correctOptionId, TdApi.FormattedText explanation)` | A poll in quiz mode, which has exactly one correct answer option and can be answered only once.
`PollTypeQuiz​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### correctOptionId

public int correctOptionId
0-based identifier of the correct answer option; -1 for a yet unanswered poll.

### explanation

public TdApi.FormattedText explanation
Text that is shown when the user chooses an incorrect answer or taps on the lamp icon; 0-200 characters with at most 2 line feeds; empty for a yet unanswered poll.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### PollTypeQuiz

public PollTypeQuiz()
A poll in quiz mode, which has exactly one correct answer option and can be answered only once.

### PollTypeQuiz

public PollTypeQuiz​(int correctOptionId, TdApi.FormattedText explanation)
A poll in quiz mode, which has exactly one correct answer option and can be answered only once.

Parameters:
  `correctOptionId` - int 0-based identifier of the correct answer option; -1 for a yet unanswered poll.
  `explanation` - FormattedText Text that is shown when the user chooses an incorrect answer or taps on the lamp icon; 0-200 characters with at most 2 line feeds; empty for a yet unanswered poll.

### PollTypeQuiz

public PollTypeQuiz​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`